# Dernek yazılımı 

Türkiye'de faal derneklerin, mevcut mevzuata dahil olarak derneğin yasal süreçlerini, üye ilişkilerini ve muhasebelerini takip edebilmeleri için bir yazılım geliştirilmesi gerekliliği ortaya atılmıştır.

## Temel gereksinimler

Yazılımın temel gereksinimlerini n ayrı başlıkta inceleyebiliriz:

* Defterlerin tutulması
* Gelir/gider takibi
* Üye takibi
* Evrak/dosya takibi
* Aidat takibi
* Bilgi e-postası / formu takibi
* Genel kurul süreç takibi
* E-posta ve SMS ile toplu duyurular
* Aidat ödeme (iyzico)

### Defterlerin tutulması

Dernekler 4 adet defter tutmak zorundadır:

* Karar defteri
* İşletme defteri
* Üye kayıt defteri
* Evrak kayıt defteri

5253 sayılı Dernekler Kanunu uyarınca bu defterler elektronik ortamda tutulabilir, ancak önceden Sivil Toplumla İlişkiler Müdürlüğü tarafından mühürlenmiş numaralı kağıtlara yazdırılarak saklanmalıdır. Bu defterlerin şekli standarda bağlanmış olup siviltoplum.gov.tr adresinde mevcuttur.

#### Karar defteri

Karar defteri, dernek yönetim kurulunun aldığı kararların yazıldığı temel defterdir. Bu defterde aşağıdaki alanlar mevcuttur:

* Karar numarası: Her karara sırayla numara veriliyor (unsigned int), bu numaralar 1'den başlıyor. Tarih sırası ile numara sırası sabit gitmek zorunda, yani 5 numaralı kararın tarihi 4 numaralı karardan eski olamaz.
* Tarih: Karar tarihi, GG/AA/YYYY
* Konu: String field, kararın ne hakkında olduğu yazılıyor.
* Toplantıya katılan üyeler: Kararın alındığı toplantıya katılan kişilerin adı soyadı, bunları yönetim kurulu listesinden çekebiliriz. Başkan ve üyeler diye iki ayrı field var.
* Kararın metni: Karar metni, standart.
* İmzalar: Katılan her üye için metnin altında imza alanı oluyor, kişiler isimlerinin üzerine imza atıyor.

#### Üye kayıt defteri

Üye kayıt defteri, derneğe üye olan her üyenin bilgilerinin işlendiği bir defterdir. Bu defteri yazılım içinde üyeler diye bir başlık altında defter formatından bağımsız olarak tutmak daha kullanışlı olabilir. Bu defterde normalde aşağıdaki alanlar mevcut:

* Fotoğraf: üyenin fotoğrafı, 25x35 mm 
* Adı soyadı
* TCKN
* Tabiiyeti
* Ana adı
* Baba adı
* Cinsiyeti
* Mesleği
* E-posta adresi
* İkametgah adresi
* Üyeliğe kabul tarihi
* Üyelikten çıkma tarihi
* Açıklamalar
* 

Bunlara ek olarak, üye aidatı tahsilatı diye bir alanı daha var, bu alanda da her bir giriş için yılı, alındı belgesinin tarihi+sıra no, tutarı (lira+kr) alanları mevcut. 

#### İşletme defteri

Derneğin muhasebe kayıtlarının tutulduğu defterdir. Sol sayfada giderler, sağ sayfada gelirler yazılıdır. Her bir sayfa önceki sayfadan nakil toplam ile başlar, sonra her satır için:

* Sıra no
* Alındı belgesinin tarihi+no
* Açıklama
* Tutar (Lira+Kr)

En son satırda da yazıyla ve sayıyla toplam tutar yazılır.

#### Evrak kayıt defteri

Evrak kayıt defteri, derneğe gelen ve giden her nevi evrakın yazıldığı defterdir. Üye başvuruları, verilen cevaplar, gelen bildirimler vs. hepsi yazılır, denetimlerde genelde çok bakılmaz. Sol sayfada gelen evrak, sağ sayfada giden evrak yazılır. Her bir satırda:

* Kayıt sıra no
* Geldiği kişi veya kurum
* Tarihi
* Sayısı
* Eki
* Konusu
* Muhafaza edildiği dosya no

Belgeler diye bir sayfa yapıp, her bir girdi için PDF eklenebilse çok güzel olur.

### Gelir-gider takibi

Derneğin gelirleri ve giderlerinin kategori bazlı olarak takibini ve borçlar/alacakların kurulması önemli bir konu, bunun için yazılımda en olmazsa olmaz kısımlardan bir tanesi.

Temel olarak gider ve gelir kategorileri atanacak ve bu kategorilere harcama/gelir yazılacak. Her bir harcama/gelir için:

* Tarih
* Hesap
* Alıcı/bağışçı ismi
* TCKN/VKN
* Açıklama
* Referans no
* Makbuz/fatura (PDF)
* Düzenli mi? (Haftalık-Aylık-Yıllık)

Düzenli olarak işaretlenen giderler, her ayın o günü yaklaşırken e-posta uyarısı vermeli.

### Üye takibi

Dernek üyelerinin profilleri buraya girilecek, üye kayıt defteri buna göre oluşturulacak. Her üye için:

* Üye no (1'den başlayarak sırayla)
* Kullanıcı adı/parola (kendileri servise girip aidat vs ödeme yapabilsinler diye)
* Ad soyad
* TCKN
* Ana adı
* Baba adı
* Doğum tarihi
* Cinsiyet
* Meslek
* E-posta
* Telefon
* Adres
* Üyeliğe giriş tarihi 
* Üyelikten çıkış tarihi
* Üyelik tipi (asıl-destekçi-onursal)
* Aidat tipi (Tam, indirimli)
* Yorumlar/Açıklamalar
* GnuPG Fingerprint

### Evrak/dosya takibi

Belgeler diye bir alanda, PDF vb. belgelerin yüklenip kategorize edilebileceği bir bölüm iyi olacaktır. Evrak kayıt defteri de burada gelen evrak/giden evrak kategorilerinden oluşturulabilir.

### Aidat takibi

En önemli işlerden birisi bu, her üyenin aidat tipine göre ve yıllık aidat miktarına göre üyelere borç yazılması ve hangi üyenin ne kadar borcunun olduğunun takip edilmesi lazım. Ayrıca üyelerin yaptıkları genel bağışların da tutulması lazım. Örneğin aylık aidat 40 lira ise, aidatlarım diye bir sekmede üyelerin ay ay aidatlarını ödeyip ödemediklerinin görülebilmesi, eğer toplu ödedilerse (örneğin 6 aylık peşin 240 lira) altı ayın üstünün çizilmesi lazım. Üyelere borç hatırlatmasının yapılması, aidat tahsilatının hangi yolla yapıldığının girilebilmesi lazım.

### Bilgi e-postası / formu takibi

Orta öncelikli bir konu olarak, bilgi formuna veya e-postasına düşen e-postaların görülebileceği ve mümkünse cevaplanabileceği bir alan faydalı olabilir.

### E-posta ve SMS ile toplu duyurular

Üyelerin tamamına veya bir kısmına e-posta ve SMS ile duyuru atılabilmesi ihtiyacı var, e-posta için standart SMTP iş görür, SMS için Verimor API entegrasyonu lazım.

<https://github.com/verimor/SMS-API>

### Aidat ödeme (iyzico)

Üyelerin kendi aidat borçlarını görüp, bunları iyzico ile ödeyebilmeleri ve otomatik ödemeye bağlayabilmeleri lazım. Kart değişikliği veya otomatik ödeme iptali, isteğe bağlı ödeme de lazım.
